from django.contrib import admin

from .models import Author, Books


# Register your models here.
class AuthorAdmin(admin.ModelAdmin):
    model = Author

    search_fields = ('first_name','last_name')

    list_display = ('first_name', 'last_name', 'age', 'nationality', 'bio')

    list_filter = ('first_name', 'last_name', 'nationality')

    fieldsets = [
        ('Author Data', {
            'fields': [
                ('first_name', 'last_name'), ('age', 'nationality'), 'bio'
            ]
        }),
    ]

class BooksAdmin(admin.ModelAdmin):
    model = Books

    search_fields = ('title', 'author', 'publisher')

    list_display = ('title', 'author', 'publisher', 'year_published', 'ISBN', 'blurb')

    list_filter = ('author', 'publisher', 'year_published')

    fieldsets = [
        ('Books Data', {
            'fields': [
                ('title', 'author'), ('publisher', 'year_published', 'ISBN'), 'blurb'
            ]
        }),
    ]

admin.site.register(Author, AuthorAdmin)
admin.site.register(Books, BooksAdmin)