from django.db import models
from django.urls import reverse

# Create your models here.
class Author(models.Model):
    first_name = models.CharField(max_length=255)
    last_name = models.CharField(max_length=255)
    age = models.IntegerField()
    nationality = models.CharField(max_length=255)
    bio = models.CharField(max_length=700)

    def __str__(self):
        return '{} {}'.format(self.first_name, self.last_name)

    def get_absolute_url(self):
        return reverse('bookshelf:author-detail', kwargs={'pk': self.pk})


class Books(models.Model):
    title = models.CharField(max_length=255)
    author = models.ForeignKey(Author, on_delete=models.CASCADE, related_name='books')
    publisher = models.CharField(max_length=255)
    year_published = models.IntegerField()
    ISBN = models.CharField(max_length=13)
    blurb = models.TextField()

    def __str__(self):
        return '{}'.format(self.title)

    def get_absolute_url(self):
        return reverse('bookshelf:books-detail', kwargs={'pk': self.pk})